Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.event
Interface ComponentSystemEventListener

All Superinterfaces:
  java.util.EventListener, FacesListener

All Known Implementing Classes:
  HtmlBody, HtmlColumn, HtmlCommandButton, HtmlCommandLink, HtmlDataTable, HtmlDoctype, HtmlForm, HtmlGraphicImage, HtmlHead, HtmlInputHidden, HtmlInputSecret, HtmlInputText, HtmlInputTextarea, HtmlMessage, HtmlMessages, HtmlOutcomeTargetButton, HtmlOutcomeTargetLink, HtmlOutputFormat, HtmlOutputLabel, HtmlOutputLink, HtmlOutputText, HtmlPanelGrid, HtmlPanelGroup, HtmlSelectBooleanCheckbox, HtmlSelectManyCheckbox, HtmlSelectManyListbox, HtmlSelectManyMenu, HtmlSelectOneListbox, HtmlSelectOneMenu, HtmlSelectOneRadio, UIColumn, UICommand, UIComponent, UIComponentBase, UIData, UIForm, UIGraphic, UIInput, UIMessage, UIMessages, UINamingContainer, UIOutcomeTarget, UIOutput, UIPanel, UIParameter, UISelectBoolean, UISelectItem, UISelectItems, UISelectMany, UISelectOne, UIViewParameter, UIViewRoot

    public interface ComponentSystemEventListener

extends FacesListener

Implementors of this class do not need an `isListenerForSource()` method because they are only installed on specific component instances, therefore the `isListenerForSource()` method is implicit. Also, the `processEvent(javax.faces.event.ComponentSystemEvent)` method on this interface takes a `ComponentSystemEvent` because the event will always be associated with a `UIComponent` instance.

Since:
  2.0

Method Summary
`void` | `processEvent(ComponentSystemEvent event)` When called, the listener can assume that any guarantees given in the javadoc for the specific `SystemEvent` subclass are true.

Method Detail

### processEvent

    void processEvent(ComponentSystemEvent event)
                      throws AbortProcessingException

  When called, the listener can assume that any guarantees given in the javadoc for the specific `SystemEvent` subclass are true.

  Parameters:
    `event` - the `ComponentSystemEvent` instance that is being processed.
  Throws:
    `AbortProcessingException` - if lifecycle processing should cease for this request.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.